Update Issue

Update an issue’s workflow fields. All provided fields are updated atomically. Only include fields you want to change - omitted fields remain unchanged. When closing an issue, you must provide a closeReason.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for an issue in Method

Request

This endpoint expects an object.
statusenumOptional
New status for the issue
Allowed values:
severityenumOptional
New severity level for the issue
Allowed values:
closeReasonenumOptional

Reason for closing the issue (required when status is CLOSED)

Allowed values:
commentstringOptional
Optional comment to record with this change

Response

This endpoint returns an object.
idstring
The unique identifier for an issue in Method
environmentIdstring
The unique identifier for an environment in Method
environmentNamestring
descriptionstring
remediationstring
statusenum
Allowed values:
severityenum
Allowed values:
affectedObjectIdstring
The unique identifier for an object in Method
affectedObjectTitlestring
closedReasonenum or null
Allowed values:

Errors